List session subagent messages
Retrieve the messages of a subagent of the session, in the same shape as GET /sessions/{session_id}/messages. Returns 404 when the subagent does not belong to the session. If the transcript exceeds the read limits, the response contains the latest history only and has the header `X-Inspect-Transcript-Truncated: true`.
Retrieve the messages of a subagent of the session, in the same shape as GET /sessions/{session_id}/messages. Returns 404 when the subagent does not belong to the session. If the transcript exceeds the read limits, the response contains the latest history only and has the header X-Inspect-Transcript-Truncated: true.
bearerAuthAuthorizationBearer <token>API key authentication. Use your API key as the bearer token.
session_id*stringThe unique identifier of the session
subagent_id*stringThe unique identifier of a subagent of the session
Session messages
application/json- response
data*array<>curl -X GET 'https://your-org.inspect.com/api/public/v1/sessions/string/subagents/string/messages'{ "data": [ { "info": { "id": "string", "sessionID": "string", "role": "user", "time": { "created": 0, "completed": 0 }, "agent": "string", "model": { "providerID": "string", "modelID": "string", "variant": "string" }, "parentID": "string", "providerID": "string", "modelID": "string", "mode": "string", "cost": 0, "tokens": { "total": 0, "input": 0, "output": 0, "reasoning": 0, "cache": { "read": 0, "write": 0 } }, "finish": "string", "error": { "name": "string", "data": {} }, "path": { "cwd": "string", "root": "string" }, "variant": "string" }, "parts": [ { "type": "text", "id": "string", "sessionID": "string", "messageID": "string", "text": "string", "time": { "start": 0, "end": 0 }, "callID": "string", "tool": "string", "state": { "status": "pending", "input": {}, "output": "string", "error": "string", "title": "string", "metadata": {}, "time": { "start": 0, "end": 0 } }, "mime": "string", "filename": "string", "url": "string", "metadata": { "source": "web", "parentSessionId": "string", "childSessionId": "string", "childParts": [ { "type": "reasoning", "id": "string", "sessionID": "string", "text": "string", "time": { "start": 0, "end": 0 }, "tool": "string", "state": {} } ] } } ] } ]}